import { AgentClusterInstallK8sResource } from '../../types/k8s/agent-cluster-install';
import { Cluster, Host } from '../../../common/api/types';
import { AgentK8sResource } from '../../types/k8s/agent';
import { BareMetalHostK8sResource } from '../../types/k8s/bare-metal-host';
import { ValidationsInfo } from '../../../common/types/hosts';
import { ClusterWizardStepsType } from '../ClusterDeployment/wizardTransition';
import { HostStatusDef } from '../../../common';
import { TFunction } from 'i18next';
export declare const getClusterStatusFromConditions: (agentClusterInstall: AgentClusterInstallK8sResource, t: TFunction) => [Cluster['status'], string];
export declare const getClusterStatus: (agentClusterInstall?: AgentClusterInstallK8sResource | undefined) => [Cluster['status'], Cluster['statusInfo']];
export declare const isDraft: (agentClusterInstall?: AgentClusterInstallK8sResource | undefined) => boolean;
export declare const getAgentStatusFromConditions: (agent: AgentK8sResource, t: TFunction) => [Host['status'], string];
export declare type AgentStatus = Host['status'] | 'discovered';
export declare const getAgentStatus: (agent: AgentK8sResource, excludeDiscovered?: boolean) => {
    status: HostStatusDef;
    validationsInfo: ValidationsInfo;
    autoCSR?: boolean | undefined;
};
export declare const getWizardStepAgentStatus: (agent: AgentK8sResource, wizardStepId: ClusterWizardStepsType, t: TFunction, excludeDiscovered?: boolean) => {
    status: HostStatusDef;
    validationsInfo: ValidationsInfo;
};
export declare const getBMHStatus: (bmh: BareMetalHostK8sResource) => {
    state: HostStatusDef;
    errorMessage: string | undefined;
};
