import { Cluster, V2ClusterUpdateParams, InfraEnv, ManagedDomain, OpenshiftVersionOptionType } from '../../common';
import { CreateParams, OcmClusterDetailsValues } from './types';
declare const ClusterDetailsService: {
    create(params: CreateParams): Promise<Cluster>;
    update(clusterId: string, params: V2ClusterUpdateParams): Promise<Cluster>;
    getManagedDomains(): Promise<ManagedDomain[]>;
    getClusterCreateParams(values: OcmClusterDetailsValues): CreateParams;
    getClusterDetailsInitialValues({ cluster, infraEnv, urlSearchParams, ...args }: {
        cluster?: Cluster | undefined;
        infraEnv?: InfraEnv | undefined;
        pullSecret?: string | undefined;
        managedDomains: ManagedDomain[];
        ocpVersions: OpenshiftVersionOptionType[];
        urlSearchParams: string;
    }): OcmClusterDetailsValues;
};
export default ClusterDetailsService;
