import { Cluster, Disk, DiskRole, Host, HostUpdateParams } from '../../common';
declare const HostsService: {
    /**
     * Deletes all the hosts in the given cluster
     * @param clusterId
     */
    deleteAll(clusterId: Cluster['id']): Promise<import("axios").AxiosResponse<void, any>[]>;
    /**
     * Retrieves all the hosts that are bound to the given cluster
     * @param clusterId
     */
    listHostsBoundToCluster(clusterId: Cluster['id']): Promise<Host[]>;
    update(clusterId: Cluster['id'], hostId: Host['id'], params: HostUpdateParams): Promise<import("axios").AxiosResponse<Host, any>>;
    updateHostName(clusterId: Cluster['id'], hostId: Host['id'], newHostName: HostUpdateParams['hostName']): Promise<import("axios").AxiosResponse<Host, any>>;
    updateRole(clusterId: Cluster['id'], hostId: Host['id'], newHostRole: HostUpdateParams['hostRole']): Promise<import("axios").AxiosResponse<Host, any>>;
    updateHostODF(clusterId: Cluster['id'], hostId: Host['id'], newNodeLabels: HostUpdateParams['nodeLabels']): Promise<import("axios").AxiosResponse<Host, any>>;
    updateDiskRole(clusterId: Cluster['id'], hostId: Host['id'], diskId: Required<Disk>['id'], newDiskRole: DiskRole): Promise<import("axios").AxiosResponse<Host, any>>;
    delete(clusterId: Cluster['id'], hostId: Host['id']): Promise<import("axios").AxiosResponse<void, any>>;
    reset(clusterId: Cluster['id'], hostId: Host['id']): Promise<import("axios").AxiosResponse<Host, any>>;
    install(clusterId: Cluster['id'], hostId: Host['id']): Promise<import("axios").AxiosResponse<Host, any>>;
    installAll(cluster: Cluster): Promise<import("axios").AxiosResponse<Host, any>[]>;
};
export default HostsService;
