import { Host, HostUpdateParams, InfraEnv } from '../../../common';
import { AxiosResponse } from 'axios';
declare const HostsAPI: {
    makeBaseURI(infraEnvId: InfraEnv['id'], hostId?: string | undefined): string;
    makeActionsBaseURI(infraEnvId: InfraEnv['id'], hostId: Host['id']): string;
    list(infraEnvId: InfraEnv['id']): Promise<AxiosResponse<Host[], any>>;
    get(infraEnvId: InfraEnv['id'], hostId: Host['id']): Promise<AxiosResponse<Host, any>>;
    update(infraEnvId: InfraEnv['id'], hostId: Host['id'], params: HostUpdateParams): Promise<AxiosResponse<Host, any>>;
    deregister(infraEnvId: InfraEnv['id'], hostId: Host['id']): Promise<AxiosResponse<void, any>>;
    reset(infraEnvId: InfraEnv['id'], hostId: Host['id']): Promise<AxiosResponse<Host, any>>;
    installHost(infraEnvId: InfraEnv['id'], hostId: Host['id']): Promise<AxiosResponse<Host, any>>;
};
export default HostsAPI;
