import { InfraEnv, InfraEnvCreateParams, PresignedUrl, InfraEnvUpdateParams } from '../../../common';
import { AxiosResponse } from 'axios';
declare const InfraEnvsAPI: {
    makeBaseURI(infraEnvId?: string | undefined): string;
    /**
     * Retrieves the list of infra-envs.
     * @param clusterId If provided, returns only infra-envs which directly reference the given clusterId.
     */
    list(clusterId?: string): Promise<AxiosResponse<InfraEnv[], any>>;
    get(infraEnvId: InfraEnv['id']): Promise<AxiosResponse<InfraEnv, any>>;
    update(infraEnvId: InfraEnv['id'], params: InfraEnvUpdateParams): Promise<AxiosResponse<InfraEnv, any>>;
    register(params: InfraEnvCreateParams): Promise<AxiosResponse<InfraEnv, any>>;
    deregister(infraEnvId: InfraEnv['id']): Promise<AxiosResponse<void, any>>;
    getImageUrl(infraEnvId: InfraEnv['id']): Promise<AxiosResponse<PresignedUrl, any>>;
};
export default InfraEnvsAPI;
